# Get ACH Agreement Status

<table data-header-hidden><thead><tr><th width="74.8046875" align="center"></th><th></th></tr></thead><tbody><tr><td align="center"><mark style="color:green;"><strong>GET</strong></mark> </td><td>https://api.sfox.com/v1/account/accepted-ach</td></tr></tbody></table>

Retrieve the status of a user's acceptance of Dwolla's (1) Terms & Conditions (2) Privacy Policy.

sFOX has partnered with Dwolla, a leading US payments processing platform, to enable ACH transfers. To access ACH transfers, a user must accept Dwolla's (1) Terms & Conditions (2) Privacy Policy.

***

## Request

{% hint style="info" %}
**Authentication:** This endpoint requires a [User Auth Token](/connect/rest-api/end-users/create-user-auth-token.md) for authentication. Requests using your Connect API Key will be rejected.
{% endhint %}

### Example Requests

{% tabs %}
{% tab title="Shell" %}

```sh
curl -H 'Authorization: Bearer <USER_AUTH_TOKEN>'\
-H 'Content-Type: application/json' \
-X GET \
'https://api.sfox.com/v1/account/accepted-ach'
```

{% endtab %}

{% tab title="NodeJS" %}

```javascript
const axios = require ('axios');

axios({
    method: 'get',
    url: 'https://api.sfox.com/v1/account/accepted-ach',
    headers:{
        'Authorization': 'Bearer <USER_AUTH_TOKEN>'
        }
    }).then (response => {
        console.log(response)
    }).catch(err => {
        console.error(err)
});
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

data = requests.get(
    "https://api.sfox.com/v1/account/accepted-ach",
    headers = {
        "Authorization": "Bearer <USER_AUTH_TOKEN>",
    }
)
print(data)
```

{% endtab %}
{% endtabs %}

## Response

### Responses

<details>

<summary><mark style="color:green;">200</mark>: OK</summary>

<pre class="language-json"><code class="lang-json"><strong>//User has accepted
</strong><strong>{
</strong>    "data": {
<strong>        "dwolla": true 
</strong><strong>    }
</strong>}

//User has NOT accepted
{
    "data": {
        "dwolla": true 
    }
}
</code></pre>

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sfox.com/connect/rest-api/payments/get-ach-agreement-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
